2019-08-25 00:31 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0004389Spring engineGeneralpublic2017-09-03 14:38
Reportersilentwings 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version96.0.1+git 
Target VersionFixed in Version 
Summary0004389: double press alt + double press shift are not great keys
Descriptionin windows, if i'm undecided about whether to send a chat msg as spec/ally/all and if i change my mind and then change it back quickly, it tries to turn on sticky keys...

there is probably a way to disable the "do you want to turn on sticky keys" prompt but i suspect this will irritate alot of people.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0013078

Jools (reporter)

I agree. Everyone tries to disable those sticky keys, but they still always come up. Some weird combination also changes input keyboard (I think something with alt). Besides, alt often gets stuck.

~0013289

silentwings (reporter)

Last edited: 2014-06-17 14:00

View 2 revisions

Many people have made this comment now. Please change it, or (as many people have also predicted) there will be much complaint when released. Either

1) Implement what jK suggested in #sy - use shift+enter to toggle chat mode and just have two chat modes per player (global and "my allies"/"other specs") or

2) Go back to alt/shift+enter and use something else as fullscreen toggle until (1) is implemented.

I don't think fullscreen toggle will be much used, at least for windows users until http://springrts.com/mantis/view.php?id=4388 is implemented.

~0013290

Jools (reporter)

It's not alt+enter, it's alt+return that toggles fullscreen.

Why not make alt+enter toggle fullscreen and alt+return toggle specchat?

~0013291

silentwings (reporter)

Last edited: 2014-06-17 17:16

View 2 revisions

For the same reason that your point is not relevent - on some, but not all, keyboards enter and return are the same key.

~0016616

PepeAmpere (reporter)

Please disable those bad rules, really asap. It has no UX justification and if someone wants some own hot keys combo, he can implement it (at least the chat selection).

It bad solution, its very much irritating for people using shift during writing the message, switching keyboard, making queues.. etc.

~0016625

FLOZi (reporter)

I also find it irritating that when I capitalise letters in a chat message half the time I end up switching it to spec chat by mistake

~0018330

PepeAmpere (reporter)

I think no shortcut is better than this. If people need it, they can implement a helper widget with custom shortcuts.

~0018331

Google_Frog (reporter)

As far as I'm aware these are all game UI configurable. In ZK we've partially solved the problem by unbinding spectator chat because it is of little use. Spectators talk to each other in ally chat.

~0018335

PepeAmpere (reporter)

I agree there are ways to override the default. But my opinion is that the same way the shortcuts can be implemented and default common minimum should "nothing" than "something, which is satisfying small group of users and annoying at least same amount of others". Engine should not presume UX unless it is completely necessary.

Fighting with such arbitrary solutions is adding implementation cost to any new project which will start to use Spring.

~0018340

Kloot (developer)

Fix a4034b18b956cb8cbd790d856995a07c5d8dd0e2 committed to develop branch: fix 0004389 due to Windows sticky-keys crap

double-tapping alt+ctrl+a now toggles chatswitchally
double-tapping alt+ctrl+s now toggles chatswitchspec
chatswitchall now has no default binding, repo: spring changeset id: 8695
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2014-05-13 13:28 silentwings New Issue
2014-05-13 14:56 Jools Note Added: 0013078
2014-06-17 13:58 silentwings Note Added: 0013289
2014-06-17 14:00 silentwings Note Edited: 0013289 View Revisions
2014-06-17 15:57 Jools Note Added: 0013290
2014-06-17 17:16 silentwings Note Added: 0013291
2014-06-17 17:16 silentwings Note Edited: 0013291 View Revisions
2016-08-24 20:29 PepeAmpere Note Added: 0016616
2016-08-26 14:22 FLOZi Note Added: 0016625
2017-09-03 03:09 PepeAmpere Note Added: 0018330
2017-09-03 03:12 Google_Frog Note Added: 0018331
2017-09-03 12:21 PepeAmpere Note Added: 0018335
2017-09-03 14:38 Kloot Changeset attached => spring develop a4034b18
2017-09-03 14:38 Kloot Note Added: 0018340
2017-09-03 14:38 Kloot Assigned To => Kloot
2017-09-03 14:38 Kloot Status new => resolved
2017-09-03 14:38 Kloot Resolution open => fixed
+Issue History